Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.junit.runners
Class JUnit4

    java.lang.Object
      org.junit.runner.Runner
          org.junit.runners.ParentRunner<org.junit.runners.model.FrameworkMethod>
              org.junit.runners.BlockJUnit4ClassRunner
                  org.junit.runners.JUnit4

All Implemented Interfaces:
  Describable, Filterable, Sortable

    public final class JUnit4

extends BlockJUnit4ClassRunner

Aliases the current default JUnit 4 class runner, for future-proofing. If future versions of JUnit change the default Runner class, they will also change the definition of this class. Developers wanting to explicitly tag a class as a JUnit 4 class should use `@RunWith(JUnit4.class)`, not, for example in JUnit 4.5, `@RunWith(BlockJUnit4ClassRunner.class)`. This is the only way this class should be used--any extension that depends on the implementation details of this class is likely to break in future versions.

Constructor Summary
`JUnit4(java.lang.Class<?> klass)` Constructs a new instance of the default runner

Method Summary

Methods inherited from class org.junit.runners.BlockJUnit4ClassRunner
`collectInitializationErrors, computeTestMethods, createTest, describeChild, getChildren, makeNotifier, methodBlock, methodInvoker, possiblyExpectingExceptions, runChild, testName, validateInstanceMethods, validateTestMethods, validateZeroArgConstructor, withAfters, withBefores, withPotentialTimeout`

Methods inherited from class org.junit.runners.ParentRunner
`childrenInvoker, classBlock, filter, getDescription, getFilteredChildren, getName, getTestClass, run, sort, validatePublicVoidNoArgMethods, withAfterClasses, withBeforeClasses`

Methods inherited from class org.junit.runner.Runner
`testCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnit4

    public JUnit4(java.lang.Class<?> klass)
           throws org.junit.runners.model.InitializationError

  Constructs a new instance of the default runner

  Throws:
    `org.junit.runners.model.InitializationError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD